﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bg school = "schoolbg.jpg"
    image bg classroom = "classroombg.jpg"
    image bg office = "office.jpg"
    image teacher = "teacher.gif"
    image principal = "principal.gif"
    image Peter = "Peter.gif"
    image Bobby = "Bobby.gif"
    image Emily = "Emily.gif"
    image rutabega = "rutabega.gif"
    image students = "students.gif"

    # Declare characters used by this game.
    $ e = Character('Teacher', color="#c8ffc8")
    $ b = Character('Bobby')
    $ p = Character('Principal')
    $ s = Character('Students', color="#FF66FF")
    

# The game starts here.
label start:
    
    
    scene bg school
    with dissolve
    
    show teacher at left  

    "At last!  This is really it.  My first teaching job!  I just know I'm going to love it here."
    
    
    scene bg office
    with fade
    
    show teacher at left
    show principal at right
    
    p "Miss Reilly, I'm Mr. Pomdeterre, the principal.  On behalf of the staff I'd like to welcome you to our school." 
    
    e "Thank you sir. I am really excited to be here."
    
    p "Well, we are excited too.  Our last kindergarten teacher, my dear mother, Mrs. Pomdeterre, died after 50 years of dedicated service."
    
    e "Oh my, 50 years!"

    p "We found her late one night slumped over her desk.  She had been grading papers.  Her very last act was for the children."

    p   "She was an excellent woman.  It will be hard to fill her shoes, and frankly Miss Reilly, I am not sure you are up to it.  You are very young and inexperienced."
    
    e "Well sir, I will do my best.  I love children and I believe I'm a good teacher."

    p "I'll be watching you, Miss Reilly."

    p "Let me take you to your classroom."


    
    scene bg classroom
    with dissolve
    
    show teacher at left 
    
    e "Hello.  I'm your new teacher, Miss Reilly!"
    
    s "Hi Miss Reilly!"
    
    e "Now tell me your names."
    
    show Bobby at right
    
    "I'm Bobby."
    
    hide Bobby
    show Peter at right
    
    "I'm Peter."
    
    hide Peter
    show Emily at right   
    
    e "And what's your name?"
    
    "Emily."
    hide Emily
    
    e "Well, welcome to Kindergarten everyone!"

    e "Let's get started.  Why don't you tell me a little about what you like to do in class."
    
    show Bobby at right
    
    b "We have a class pet.  His name is Weasel.  Would you like to meet him?" 
    
    e "Weasel?  What kind of pet do you children keep?"
    
    b "He's a good pet.  We take turns giving him food and water.  We all love to pet him."
    
    e "Sure, go and get him."
    
    hide Bobby
    hide teacher
    
    "The students ran excitedly to a tank near the back of the room.  A few moments later they presented Weasel to their new teacher."
    
    show teacher at left
    
    e "Oh..... my."
    
    show rutabega at right
    
    e "It's a rutabega..... I think."
    
    show Bobby at center
    
    b "He's our pet!"
    
    e "He's a vegetable."
    
    hide Bobby
    show Emily at center
    
    s "He is not a vejeball.  He's nice."
    
    e "No. I didn't mean he wasn't nice Emily.  I meant that he is not an amimal.  We keep animals as pets.  We eat vegetables."
    
    hide Emily
    
    e "Class, this is a plant.  They grow in the ground.  When they are done growing, farmers pull them up out of the ground and give them to people who can cook them and eat them."
    
    e "Rutabega's are yummy.  I'll show you."
    
    hide rutabega
    hide teacher
    show students at center
    
    s "AHHHHHHH!"
    
    hide students
    
    " "
    
    scene bg office
    with dissolve
    
    
    show teacher at left
    show principal at right
    
    p "Miss Reilly.  I am stunned.  I am aghast.  I am at a loss for words!"
    
    e "Not adjectives."
    
    p "What was that Miss Reilly!"
    
    e "Nothing sir."
    
    p "This incident, this horrific demonstration, it is beyond comprehension."
    
    p "We have very strict guidelines concerning animal abuse.  It will not be tolerated!"
    
    e "But, sir, it was a vegetable."
    
    p "Well, it certainly is now!"
    
    e "Mr. Pomdeterre, a rutabega is not an animal.  It is not a pet."
    
    p "I can see that you are completely unrepentant, Ms. Reilly.  I am vindicated in my earlier belief that you are not fit for this job."
    
    p "I'm sorry, but you are terminated."
    
    hide principal
    hide teacher
    
    scene bg school
    with fade
    
    show teacher
    
    e "I should have stuck to chemical engineering."
    
    " "
    
    scene black
    with fade
    
    
    
    
    
    
    
    
    

    
    
    
